UPP Docs
Compliance

List a customer's verifications

GET
/customers/{customerId}/verifications

All verifications of the customer, newest first. Identity data is not included.

Authorization

merchantApiKeymerchantTimestampmerchantNoncemerchantSignature
headerX-API-KEY<token>

Merchant API key (starts with upk_, also accepts api-key); signing headers are also required

headerX-Timestamp<token>

Unix timestamp in seconds, within 300 seconds of server time

headerX-Nonce<token>

Unique per request; cannot be reused with the same credential during the timestamp validity window

headerX-Signature<token>

Hex HMAC-SHA256 signature (either letter case) of the method, full path, timestamp, nonce and body digest

Path Parameters

customerId*string

Customer ID (starts with cus_)

Response Body

Verifications

application/json
  1. response
data*array<>
Example Request
curl -X GET 'https://sandbox.getupp.net/api/v1/customers/string/verifications'
Example Response
{  "data": [    {      "id": "cvr_01m5eadct0b1padtfy5g1h9z1w",      "customer_id": "cus_01m5ead2k7knsqfa65tpt1an6r",      "usage": "test",      "status": "approved",      "rejection_reason": null,      "verified_at": "2026-10-21T04:09:51.000000Z",      "created_at": "2026-10-21T04:09:51.000000Z",      "updated_at": "2026-10-21T04:09:51.000000Z"    },    {      "id": "cvr_01m5ead311m9dx64fhs5ebngc7",      "customer_id": "cus_01m5ead2k7knsqfa65tpt1an6r",      "usage": "test",      "status": "rejected",      "rejection_reason": "Forged document.",      "verified_at": null,      "created_at": "2026-10-21T04:09:41.000000Z",      "updated_at": "2026-10-21T04:09:41.000000Z"    }  ]}